require 'json'

class GiftRocket::Response

  @data = {}

  def initialize(json_string)
    @data = JSON.parse(json_string)
  end

  def method_missing(method_name)
    @data.has_key?(method_name.to_s) ? @data[method_name.to_s] : super
  end

  def success?
    @data['success']
  end

  def gift_url
    "https://www.giftrocket.com/gift/#{token}"
  end

end
