module GiftRocket::Error

  class MissingApiKey < ArgumentError
  end

  class InvalidPaymentSource < ArgumentError
  end

  class InvalidAmount < ArgumentError
  end

  class MissingRecipientEmail < ArgumentError
  end

  class MissingRecipientName < ArgumentError
  end

  class MissingMessage < ArgumentError
  end

  class MissingSenderName < ArgumentError
  end

  class NetworkError < IOError
  end

end
